using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class CategoriesAccess  : Daolite.BusinessAccess
	{

		public  CategoriesAccess() : base("Categories", NwindConfiger.GetConfiger())
		{
		}


		public Categories[] Query()
		{
			return base.Query<Categories>();
		}


		public Categories[] QueryRelated()
		{
			return base.QueryRelated<Categories>();
		}


		public Categories QueryOne(long CategoryID, bool isRelated)
		{
			return base.QueryOne<Categories>(new Daolite.DataStruct.KeyPairs()
			.Add("CategoryID", CategoryID)
			, isRelated);
		}


	}
}
